/**
 * generated by Xtext
 */
package org.eclipse.etrice.core.fsm.fSM.impl;

import org.eclipse.emf.ecore.EClass;

import org.eclipse.etrice.core.fsm.fSM.FSMPackage;
import org.eclipse.etrice.core.fsm.fSM.StateGraphNode;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>State Graph Node</b></em>'.
 * <!-- end-user-doc -->
 *
 * @generated
 */
public class StateGraphNodeImpl extends StateGraphItemImpl implements StateGraphNode
{
	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected StateGraphNodeImpl()
	{
		super();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	protected EClass eStaticClass()
	{
		return FSMPackage.Literals.STATE_GRAPH_NODE;
	}

} //StateGraphNodeImpl
